%define name vacation 
%define version 1.2.6.1
%define release 1mdk

Summary: Automatic mail answering program for Linux
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Networking/Mail
Source: http://download.sourceforge.net/vacation/%{name}-%{version}.tar.bz2
URL: http://sourceforge.net/projects/vacation/
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: smtpdaemon

%description 
Vacation is the automatic mail answering program found
on many Unix systems. This version works with the sendmail 
restricted shell.

%prep
%setup -q -n %{name}

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

install -s -m 755 vacation        $RPM_BUILD_ROOT%{_bindir}/vacation
install -m 755 vaclook         $RPM_BUILD_ROOT%{_bindir}/vaclook
install -m 444 vacation.man    $RPM_BUILD_ROOT%{_mandir}/man1/vacation.1
install -m 444 vaclook.man     $RPM_BUILD_ROOT%{_mandir}/man1/vaclook.1

%post
if [ -d /etc/smrsh/ ] ; then 
  ln -s /usr/bin/vacation /etc/smrsh
fi

%postun
if [ -L /etc/smrsh/vacation ] ; then 
  rm -f /etc/smrsh/vacation
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root) 
%{_bindir}/vacation
%{_bindir}/vaclook
%{_mandir}/*/*
%doc COPYING README README.smrsh ChangeLog

%changelog
* Mon Mar 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.2.6.1-1mdk
- 1.2.6.1

* Sun Nov 11 2001 Daouda LO <daouda@mandrakesoft.com> 1.2.6-1mdk
- intial mdk package (spec from tarball)

* Sat Nov 10 2001 Devon <devon@tuxfan.homeip.net>
- upgrade to version 1.2.6
* Wed Sep 19 2001 Devon <devon@tuxfan.homeip.net>
- added %post link /etc/smrsh to /usr/bin/vacation
- added %postun deletion of /etc/smrsh/vacation
- defined a umask of 022 fix permissions on created files.
  $HOME/.forward was created group writable, smrsh refused
  to run in that case. See vacation-1.2.2-permissions.patch

* Mon Aug 07 2000 Than Ngo <than@redhat.de>
- fix specfile and patch file to rebuilt

* Mon Aug 07 2000 Michael Stefaniuc <mstefani@redhat.com>
- upgraded to 1.2.2
- fixed security fix

* Wed Aug 02 2000 Than Ngo <than@redhat.de>
- fix manpath (Bug #15070)

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Sun Jul 16 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- add security fix

* Mon Jul 10 2000 Than Ngo <than@redhat.de>
- fix problem (it won't include the .vacation.msg) (bug #13572)
- use RPM macros

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun May 28 2000 Ngo Than <than@redhat.de>
- rebuild for 7.0
- put man pages in correct place
- cleanup specfile
- fix Summary

* Fri Dec 10 1999 Ngo Than <than@redhat.de>
- initial RPM for powertools-6.2
